Core - Task # 55445

Status: Resolved Priority: Should have
Author: Michiel Roos Category:

Created: 2014-01-29 Assigned To:

Updated: 2014-02-03 Due date:

TYPO3 Version: 6.2

PHP Version: 53

Complexity: no-brainer

Sprint Focus:

Subject: Use array access instead of strpos($str, n, 1)

Description

A call to strpos can be avoided in case the 'count’ parameter is 1.

Use:

$str{n}

Instead of:
strpos($str, n, 1)

Related issues:
blocks Core - Task # 54517: Replace substr() and strpos() with GeneralUtility... Accepted 2013-12-19

Associated revisions

Revision 93cff7e1 - 2014-02-03 23:28 - Michiel Roos

[TASK] Use $x[n] instead of substr($x, n, 1)

Change-Id: 1b58894a67f0292b9d62da81511ce12d3f16590ef
Resolves: #55445

Releases: 6.2

Reviewed-on: https://review.typo3.org/27136

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History

#1 - 2014-01-29 21:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/27136

#2 - 2014-01-29 21:42 - Michiel Roos

Oops, | wrote strpos instead of substr . . . please correct.
#3 - 2014-01-29 22:21 - Michiel Roos

Reduces call count to substr by 4.289 calls for a page like: http://6.2.master.workbench.local/examples/images-with-links/. From the introduction

package.

#4 - 2014-01-30 10:50 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27136

#5 - 2014-02-03 19:45 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27136

#6 - 2014-02-03 21:32 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27136

#7 - 2014-02-03 21:37 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27136

#8 - 2014-02-03 22:03 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27136

#9 - 2014-02-03 22:14 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27136

#10 - 2014-02-03 23:30 - Michiel Roos
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:93cff7e1eafa347a17bc3baa60ffac2e324fa1b6.
